# -*- po -*-
# English translations for Groonga package.
# Copyright (C) 2009-2015, Brazil, Inc
# This file is distributed under the same license as the Groonga package.
# Automatically generated, 2015.
#
msgid ""
msgstr ""
"Project-Id-Version: Groonga 5.0.4\n"
"Report-Msgid-Bugs-To: \n"
"PO-Revision-Date: 2015-05-26 11:04+0900\n"
"Last-Translator: Automatically generated\n"
"Language-Team: none\n"
"Language: en\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n != 1);\n"

# 378032a66c094c9b864818f7c6354730
msgid "Characteristics of Groonga"
msgstr "Characteristics of Groonga"

# a8150f2c97744b5d8a7b4d248eedcab9
msgid "Groonga overview"
msgstr "Groonga overview"

# 69f473ce4bed46a8b5056f56bc7590ca
msgid ""
"Groonga is a fast and accurate full text search engine based on inverted "
"index. One of the characteristics of Groonga is that a newly registered "
"document instantly appears in search results. Also, Groonga allows updates "
"without read locks. These characteristics result in superior performance on "
"real-time applications."
msgstr ""
"Groonga is a fast and accurate full text search engine based on inverted "
"index. One of the characteristics of Groonga is that a newly registered "
"document instantly appears in search results. Also, Groonga allows updates "
"without read locks. These characteristics result in superior performance on "
"real-time applications."

# 268e7a4cbc6242a1801fdbf79d921262
msgid ""
"Groonga is also a column-oriented database management system (DBMS). "
"Compared with well-known row-oriented systems, such as MySQL and PostgreSQL, "
"column-oriented systems are more suited for aggregate queries. Due to this "
"advantage, Groonga can cover weakness of row-oriented systems."
msgstr ""
"Groonga is also a column-oriented database management system (DBMS). "
"Compared with well-known row-oriented systems, such as MySQL and PostgreSQL, "
"column-oriented systems are more suited for aggregate queries. Due to this "
"advantage, Groonga can cover weakness of row-oriented systems."

# 58e413f6957c487b803ebb4835de50ea
msgid ""
"The basic functions of Groonga are provided in a C library. Also, libraries "
"for using Groonga in other languages, such as Ruby, are provided by related "
"projects. In addition, groonga-based storage engines are provided for MySQL "
"and PostgreSQL. These libraries and storage engines allow any application to "
"use Groonga. See `usage examples <http://groonga.org/users/>`_."
msgstr ""
"The basic functions of Groonga are provided in a C library. Also, libraries "
"for using Groonga in other languages, such as Ruby, are provided by related "
"projects. In addition, groonga-based storage engines are provided for MySQL "
"and PostgreSQL. These libraries and storage engines allow any application to "
"use Groonga. See `usage examples <http://groonga.org/users/>`_."

# 5121d2dc96fb490f92d400f08a1870c3
msgid "Full text search and Instant update"
msgstr "Full text search and Instant update"

# 7dbd585e5a764ed59b8307819322e34f
msgid ""
"In widely used DBMSs, updates are immediately processed, for example, a "
"newly registered record appears in the result of the next query. In "
"contrast, some full text search engines do not support instant updates, "
"because it is difficult to dynamically update inverted indexes, the "
"underlying data structure."
msgstr ""
"In widely used DBMSs, updates are immediately processed, for example, a "
"newly registered record appears in the result of the next query. In "
"contrast, some full text search engines do not support instant updates, "
"because it is difficult to dynamically update inverted indexes, the "
"underlying data structure."

# 80989325f5f24838b54aef0c0ab3a213
msgid ""
"Groonga also uses inverted indexes but supports instant updates. In "
"addition, Groonga allows you to search documents even when updating the "
"document collection. Due to these superior characteristics, Groonga is very "
"flexible as a full text search engine. Also, Groonga always shows good "
"performance because it divides a large task, inverted index merging, into "
"smaller tasks."
msgstr ""
"Groonga also uses inverted indexes but supports instant updates. In "
"addition, Groonga allows you to search documents even when updating the "
"document collection. Due to these superior characteristics, Groonga is very "
"flexible as a full text search engine. Also, Groonga always shows good "
"performance because it divides a large task, inverted index merging, into "
"smaller tasks."

# 8b1e18817e8749b2b68e29b6d1f40b3c
msgid "Column store and aggregate query"
msgstr "Column store and aggregate query"

# ac617f31d9e64877912e4435c84d8eac
msgid ""
"People can collect more than enough data in the Internet era. However, it is "
"difficult to extract informative knowledge from a large database, and such a "
"task requires a many-sided analysis through trial and error. For example, "
"search refinement by date, time and location may reveal hidden patterns. "
"Aggregate queries are useful to perform this kind of tasks."
msgstr ""
"People can collect more than enough data in the Internet era. However, it is "
"difficult to extract informative knowledge from a large database, and such a "
"task requires a many-sided analysis through trial and error. For example, "
"search refinement by date, time and location may reveal hidden patterns. "
"Aggregate queries are useful to perform this kind of tasks."

# ec3f3ab44c28429b8bd41cf3df8deae5
msgid ""
"An aggregate query groups search results by specified column values and then "
"counts the number of records in each group. For example, an aggregate query "
"in which a location column is specified counts the number of records per "
"location. Making a graph from the result of an aggregate query against a "
"date column is an easy way to visualize changes over time. Also, a "
"combination of refinement by location and an aggregate query against a date "
"column allows visualization of changes over time in specific location. Thus "
"refinement and aggregation are important to perform data mining."
msgstr ""
"An aggregate query groups search results by specified column values and then "
"counts the number of records in each group. For example, an aggregate query "
"in which a location column is specified counts the number of records per "
"location. Making a graph from the result of an aggregate query against a "
"date column is an easy way to visualize changes over time. Also, a "
"combination of refinement by location and an aggregate query against a date "
"column allows visualization of changes over time in specific location. Thus "
"refinement and aggregation are important to perform data mining."

# 97f4723be27241b0901f0bedb663cade
msgid ""
"A column-oriented architecture allows Groonga to efficiently process "
"aggregate queries because a column-oriented database, which stores records "
"by column, allows an aggregate query to access only a specified column. On "
"the other hand, an aggregate query on a row-oriented database, which stores "
"records by row, has to access neighbor columns, even though those columns "
"are not required."
msgstr ""
"A column-oriented architecture allows Groonga to efficiently process "
"aggregate queries because a column-oriented database, which stores records "
"by column, allows an aggregate query to access only a specified column. On "
"the other hand, an aggregate query on a row-oriented database, which stores "
"records by row, has to access neighbor columns, even though those columns "
"are not required."

# b5642617261a43939b0295d4c5f930a1
msgid "Inverted index and tokenizer"
msgstr "Inverted index and tokenizer"

# d9eda705c1014ce78940a9008b82b538
msgid ""
"An inverted index is a traditional data structure used for large-scale full "
"text search. A search engine based on inverted index extracts index terms "
"from a document when it is added. Then in retrieval, a query is divided into "
"index terms to find documents containing those index terms. In this way, "
"index terms play an important role in full text search and thus the way of "
"extracting index terms is a key to a better search engine."
msgstr ""
"An inverted index is a traditional data structure used for large-scale full "
"text search. A search engine based on inverted index extracts index terms "
"from a document when it is added. Then in retrieval, a query is divided into "
"index terms to find documents containing those index terms. In this way, "
"index terms play an important role in full text search and thus the way of "
"extracting index terms is a key to a better search engine."

# 61bb943b511648bb8f3de86a2716db4a
msgid ""
"A tokenizer is a module to extract index terms. A Japanese full text search "
"engine commonly uses a word-based tokenizer (hereafter referred to as a word "
"tokenizer) and/or a character-based n-gram tokenizer (hereafter referred to "
"as an n-gram tokenizer). A word tokenizer-based search engine is superior in "
"time, space and precision, which is the fraction of relevant documents in a "
"search result. On the other hand, an n-gram tokenizer-based search engine is "
"superior in recall, which is the fraction of retrieved documents in the "
"perfect search result. The best choice depends on the application in "
"practice."
msgstr ""
"A tokenizer is a module to extract index terms. A Japanese full text search "
"engine commonly uses a word-based tokenizer (hereafter referred to as a word "
"tokenizer) and/or a character-based n-gram tokenizer (hereafter referred to "
"as an n-gram tokenizer). A word tokenizer-based search engine is superior in "
"time, space and precision, which is the fraction of relevant documents in a "
"search result. On the other hand, an n-gram tokenizer-based search engine is "
"superior in recall, which is the fraction of retrieved documents in the "
"perfect search result. The best choice depends on the application in "
"practice."

# 687e5707b3184509be6d6f4dacb1f506
msgid ""
"Groonga supports both word and n-gram tokenizers. The simplest built-in "
"tokenizer uses spaces as word delimiters. Built-in n-gram tokenizers (n = 1, "
"2, 3) are also available by default. In addition, a yet another built-in "
"word tokenizer is available if MeCab, a part-of-speech and morphological "
"analyzer, is embedded. Note that a tokenizer is pluggable and you can "
"develop your own tokenizer, such as a tokenizer based on another part-of-"
"speech tagger or a named-entity recognizer."
msgstr ""
"Groonga supports both word and n-gram tokenizers. The simplest built-in "
"tokenizer uses spaces as word delimiters. Built-in n-gram tokenizers (n = 1, "
"2, 3) are also available by default. In addition, a yet another built-in "
"word tokenizer is available if MeCab, a part-of-speech and morphological "
"analyzer, is embedded. Note that a tokenizer is pluggable and you can "
"develop your own tokenizer, such as a tokenizer based on another part-of-"
"speech tagger or a named-entity recognizer."

# d90a631034c140ed8df350faa3aa4e88
msgid "Sharable storage and read lock-free"
msgstr "Sharable storage and read lock-free"

# fbaf4e784bde4d50a30e45549b14226c
msgid ""
"Multi-core processors are mainstream today and the number of cores per "
"processor is increasing. In order to exploit multiple cores, executing "
"multiple queries in parallel or dividing a query into sub-queries for "
"parallel processing is becoming more important."
msgstr ""
"Multi-core processors are mainstream today and the number of cores per "
"processor is increasing. In order to exploit multiple cores, executing "
"multiple queries in parallel or dividing a query into sub-queries for "
"parallel processing is becoming more important."

# 8aa77a624b9e451d914f5c15987f53e9
msgid ""
"A database of Groonga can be shared with multiple threads/processes. Also, "
"multiple threads/processes can execute read queries in parallel even when "
"another thread/process is executing an update query because Groonga uses "
"read lock-free data structures. This feature is suited to a real-time "
"application that needs to update a database while executing read queries. In "
"addition, Groonga allows you to build flexible systems. For example, a "
"database can receive read queries through the built-in HTTP server of "
"Groonga while accepting update queries through MySQL."
msgstr ""
"A database of Groonga can be shared with multiple threads/processes. Also, "
"multiple threads/processes can execute read queries in parallel even when "
"another thread/process is executing an update query because Groonga uses "
"read lock-free data structures. This feature is suited to a real-time "
"application that needs to update a database while executing read queries. In "
"addition, Groonga allows you to build flexible systems. For example, a "
"database can receive read queries through the built-in HTTP server of "
"Groonga while accepting update queries through MySQL."

# 6c018969b3024a1ea19f76aaf0b0cec9
msgid "Geo-location (latitude and longitude) search"
msgstr "Geo-location (latitude and longitude) search"

# f878a8bff60d4c9d8e23570ecad93a7b
msgid ""
"Location services are getting more convenient because of mobile devices with "
"GPS. For example, if you are going to have lunch or dinner at a nearby "
"restaurant, a local search service for restaurants may be very useful, and "
"for such services, fast geo-location search is becoming more important."
msgstr ""
"Location services are getting more convenient because of mobile devices with "
"GPS. For example, if you are going to have lunch or dinner at a nearby "
"restaurant, a local search service for restaurants may be very useful, and "
"for such services, fast geo-location search is becoming more important."

# b54827c2950f4cf28a1763a2d92609df
msgid ""
"Groonga provides inverted index-based fast geo-location search, which "
"supports a query to find points in a rectangle or circle. Groonga gives high "
"priority to points near the center of an area. Also, Groonga supports "
"distance measurement and you can sort points by distance from any point."
msgstr ""
"Groonga provides inverted index-based fast geo-location search, which "
"supports a query to find points in a rectangle or circle. Groonga gives high "
"priority to points near the center of an area. Also, Groonga supports "
"distance measurement and you can sort points by distance from any point."

# 6ce1890cf1f043b591f708288935cd00
msgid "Groonga library"
msgstr "Groonga library"

# e15f36b71db8467f9d53893b1e7a4530
msgid ""
"The basic functions of Groonga are provided in a C library and any "
"application can use Groonga as a full text search engine or a column-"
"oriented database. Also, libraries for languages other than C/C++, such as "
"Ruby, are provided in related projects. See `related projects <http://"
"groonga.org/related-projects.html>`_ for details."
msgstr ""
"The basic functions of Groonga are provided in a C library and any "
"application can use Groonga as a full text search engine or a column-"
"oriented database. Also, libraries for languages other than C/C++, such as "
"Ruby, are provided in related projects. See `related projects <http://"
"groonga.org/related-projects.html>`_ for details."

# 8f87282d248b42d38f8ddd5368918f92
msgid "Groonga server"
msgstr "Groonga server"

# 2ff6687b13c24f95a0d641f346b4a0c8
msgid ""
"Groonga provides a built-in server command which supports HTTP, the "
"memcached binary protocol and the Groonga Query Transfer Protocol (:doc:`/"
"spec/gqtp`). Also, a Groonga server supports query caching, which "
"significantly reduces response time for repeated read queries. Using this "
"command, Groonga is available even on a server that does not allow you to "
"install new libraries."
msgstr ""
"Groonga provides a built-in server command which supports HTTP, the "
"memcached binary protocol and the Groonga Query Transfer Protocol (:doc:`/"
"spec/gqtp`). Also, a Groonga server supports query caching, which "
"significantly reduces response time for repeated read queries. Using this "
"command, Groonga is available even on a server that does not allow you to "
"install new libraries."

# 12443b1cce7d479c91171cf736350a45
msgid "Mroonga storage engine"
msgstr "Mroonga storage engine"

# a8d4540553164ec185ff7814234c873e
msgid ""
"Groonga works not only as an independent column-oriented DBMS but also as "
"storage engines of well-known DBMSs. For example, `Mroonga <http://mroonga."
"org/>`_ is a MySQL pluggable storage engine using Groonga. By using Mroonga, "
"you can use Groonga for column-oriented storage and full text search. A "
"combination of a built-in storage engine, MyISAM or InnoDB, and a Groonga-"
"based full text search engine is also available. All the combinations have "
"good and bad points and the best one depends on the application. See "
"`related projects <http://groonga.org/related-projects.html>`_ for details."
msgstr ""
"Groonga works not only as an independent column-oriented DBMS but also as "
"storage engines of well-known DBMSs. For example, `Mroonga <http://mroonga."
"org/>`_ is a MySQL pluggable storage engine using Groonga. By using Mroonga, "
"you can use Groonga for column-oriented storage and full text search. A "
"combination of a built-in storage engine, MyISAM or InnoDB, and a Groonga-"
"based full text search engine is also available. All the combinations have "
"good and bad points and the best one depends on the application. See "
"`related projects <http://groonga.org/related-projects.html>`_ for details."
